#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main() {
    string x1,y1,jes;
    cin>>x1>>y1;
    int s=max(x1.size(),y1.size());
    long int x=stol(x1),y=stol(y1);
    long int br2=max(x,y);
    int xy=s-(to_string(br2).size());
    int x2=log10(br2)+1;
    string resenje[x2+1];
    for(int i=0;i<x2;i++)
    {
      if (y==0){resenje[i]=to_string(x%10);}
      else if(x%10 != y%10){
        resenje[i]=to_string(max((x%10),(y%10)));
      }
      else{
        resenje[i]=to_string(x%10)+to_string(y%10);
      }
      x/=10;y/=10;
    }
    char s1='0';
    for(int i=0;i<xy;i++){jes+=s1;}
    for(int i=0;i<x2+2;i++)
    {
        jes+=resenje[x2-i+1];
    }
    cout<<jes;
}